package com.steerinfo.baseinfo.meterbasetare.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseTare implements IBasePO<String> {
    /**
     * 回皮时间编号(TARE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="回皮时间编号",required=true)
    private String tareNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 计量类型编号(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号",required=true)
    private String meterTypeNo;

    /**
     * 计量类型名称(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称",required=true)
    private String meterTypeName;

    /**
     * 回皮时间类型编号(TARE_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="回皮时间类型编号",required=true)
    private String tareTypeNo;

    /**
     * 回皮时间类型名称(TARE_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="回皮时间类型名称",required=true)
    private String tareTypeName;

    /**
     * 回皮时间(TARE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="回皮时间",required=false)
    private String tareTime;

    /**
     * 回皮时间间隔(TARE_SPACE_TIME,DECIMAL,10)
     */
    @ApiModelProperty(value="回皮时间间隔",required=false)
    private Long tareSpaceTime;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.tareNo;
    }

    @Override
    public void setId(String tareNo) {
        this.tareNo = tareNo == null ? null : tareNo.trim();
    }

    public String getTareNo() {
        return tareNo;
    }

    public void setTareNo(String tareNo) {
        this.tareNo = tareNo == null ? null : tareNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public String getTareTypeNo() {
        return tareTypeNo;
    }

    public void setTareTypeNo(String tareTypeNo) {
        this.tareTypeNo = tareTypeNo == null ? null : tareTypeNo.trim();
    }

    public String getTareTypeName() {
        return tareTypeName;
    }

    public void setTareTypeName(String tareTypeName) {
        this.tareTypeName = tareTypeName == null ? null : tareTypeName.trim();
    }

    public String getTareTime() {
        return tareTime;
    }

    public void setTareTime(String tareTime) {
        this.tareTime = tareTime;
    }

    public Long getTareSpaceTime() {
        return tareSpaceTime;
    }

    public void setTareSpaceTime(Long tareSpaceTime) {
        this.tareSpaceTime = tareSpaceTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", tareNo=").append(tareNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", tareTypeNo=").append(tareTypeNo);
        sb.append(", tareTypeName=").append(tareTypeName);
        sb.append(", tareTime=").append(tareTime);
        sb.append(", tareSpaceTime=").append(tareSpaceTime);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}